# \Thelia\TypeEnumListType

## Summary

Methods
Properties
Constants
__construct()
addValue()
getType()
isValid()
getFormattedValue()
isSingleValueValid()
No public properties found
No constants found
No protected methods found
$values
N/A
No private methods found
No private properties found
N/A

File
  Type/EnumListType.php
Package
  \Default
Class hierarchy
  \Thelia\Type\EnumListType

## Tags

author | Etienne Roudeix eroudeix@openstudio.fr

## Properties

### $values

    $values

#

## Tags

None found

## Methods

### __construct()

    __construct( $values)

#### Parameters

| $values |

#

## Tags

None found

### addValue()

    addValue( $value)

#### Parameters

| $value |

#

## Tags

None found

### getType()

    getType()

#

## Tags

None found

### isValid()

    isValid( $values)

#### Parameters

| $values |

#

## Tags

None found

### getFormattedValue()

    getFormattedValue( $values)

#### Parameters

| $values |

#

## Tags

None found

### isSingleValueValid()

    isSingleValueValid( $value)

#### Parameters

| $value |

#

## Tags

None found

### EnumListType.php